> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bizzy.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Bulk Ownership

## Request

#### Header

<ParamField header="Accept-Language" type="string" default="EN">
  * NL: Dutch - FR: French - EN: English
</ParamField>

#### Body

<ParamField path="legalEntities" type="array">
  <Expandable title="legal entity properties">
    <ResponseField name="legalEntityId" type="string" required>
      Obfuscated legalEntityId returned by the company legal entities endpoint.
    </ResponseField>
  </Expandable>

  <Note>You can request up to 100 legal entities at once.</Note>
</ParamField>

<ResponseExample>
  ```json Response - 200 theme={null}
  [
    {
      "identifier": {
          "legalEntityId": "1778186251",
          "countryCode": "BE",
          "name": "Bizzy AI",
          "isPrimary": true
      },
      "data": {
          "shareholders": [
              {
                  "legalEntity": null,
                  "person": null,
                  "function": {
                      "type": "SHAREHOLDER",
                      "shares": 6400,
                      "percentage": 0.0157,
                      "since": "2023-12-31",
                      "until": null,
                      "status": "ACTIVE",
                      "moneyContribution": null
                  }
              }
          ],
          "investments": [],
          "mandates": [
              {
                  "legalEntity": {
                      "type": "SUPPORTED",
                      "identifier": {
                          "legalEntityId": "0123456789",
                          "countryCode": "BE",
                          "name": "LEGALE ENTITEIT OOST-VLAANDEREN",
                          "isPrimary": false
                      }
                  },
                  "person": {
                      "contactId": "1234567890",
                      "firstName": "John",
                      "lastName": "Doe"
                  },
                  "function": {
                      "type": "PERMANENT_REPRESENTATIVE",
                      "shares": null,
                      "percentage": null,
                      "since": "2025-06-04",
                      "until": null,
                      "status": "ACTIVE",
                      "moneyContribution": null
                  }
              }
          ],
          "founders": [
              {
                  "legalEntity": null,
                  "person": {
                      "contactId": "1234567890",
                      "firstName": "John",
                      "lastName": "Doe"
                  },
                  "function": {
                      "type": "FOUNDER",
                      "shares": 37500,
                      "percentage": null,
                      "since": "2021-06-29",
                      "until": null,
                      "status": "ACTIVE",
                      "moneyContribution": 37500
                  }
              },
          ],
          "absoluteParent": null,
          "group": {
              "company": {
                  "type": "SUPPORTED",
                  "identifier": {
                      "legalEntityId": "1778186251",
                      "countryCode": "BE",
                      "name": "Bizzy AI",
                      "isPrimary": true
                  }
              },
              "shares": null,
              "percentage": null,
              "level": 0,
              "daughters": []
          }
      },
      "message": null
    },
    { // Example error
      "identifier": {
          "legalEntityId": "123456789"
      },
      "data": null,
      "message": "Legal entity not found"
    }
  ]
  ```
</ResponseExample>
